.stl-ws-none {
    white-space: nowrap;
}

.icon-card-butt {
    width: 26px;
    height: 22px;
    max-width: max-content;
}

.product-item_wrapper div {
  padding: 10px 7px;
}

.product-articles__item {
    background-color: #e6e6e6;
    color: #000;
    padding: 15px 30px;
    border-radius: 25px;
    border: 1px solid transparent;
    transition: .2s;
    font-size: 14px;
    width: 49%;
}

.product-articles__item:hover {
    border: 1px solid transparent;
    background-color: #fff;;
    color: #000;
    border: 1px solid #000;
}

.slide-bg {
  width: fit-content;
  background: #00000073;
  padding: 2rem;
  border: 1px solid #0a080842;
}

#mse2_filters button.side__btn.side__btn--reset {display: flex;
  margin: 0;
    margin-bottom: 0px;
  width: 100%;
  align-items: center;
  justify-content: center;
  margin-bottom: 1rem;}


@media (max-width: 460px) {
    .breadcrumb {
        white-space: nowrap;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding-bottom: 8px;
    }
}

.order-steps {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-family: Arial, sans-serif;
    font-size: 16px;
    margin:1rem 0 2rem;
}

.step {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #999;
}

.step-number {
    width: 42px;
    height: 42px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    background: #eaeaea;
    color: #999;
    transition: all 0.3s ease;
}

.step-text {
    color: #999;
}

.separator {
    font-size: 18px;
    color: #ccc;
}

/* Active step */
.step.active .step-number {
    background: #a59581;
    color: #fff;
}

.step.active .step-text {
    color: #333;
}

.cart-item {
  flex-wrap: unset;
}

.cart-box {
  width: 100%;
  max-width: unset;
}


.flex  {display:flex;}
.cart-step {display:none;    transition: opacity 0.3s ease-in-out, height 0.3s ease-in-out;}
.cart-step.active {display:block;}

.cart-step .right, .cart-step .left {width:50%;}
#msOrder {  width: 100%; }
.step-2-products-container {    width: 100%;    background: #f9f9f9;    border-radius: 10px;    padding: 20px;    border: 1px solid #ddd;    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);}

.step-2-products-header,
.step-2-products-row {    display: grid;    grid-template-columns: 1fr 100px;     align-items: center;    gap: 10px;    padding: 10px 0;}

/* Заголовок таблицы */
.step-2-products-header {
    font-weight: bold;
    border-bottom: 2px solid #ccc;
}

.cart-item__title a {
    font-size: 16px;
    font-weight: 500;
    color: #333;
    text-decoration: none;
    transition: color 0.3s;
}

.cart-item__title a:hover {
    color: #a59581;
}

.cart-item__cost, .cart-item__cost-sum {
    font-size: 16px;
    font-weight: bold;
    text-align: right;
}

.cart-item__count {  border: initial;  height: 30px;  width: 50px;  display: flex;  justify-content: center;  margin: 0;  padding: 0 10px;  font-size: 1rem;}
.cart-item .cart-item__info, .cart-item__title   {width:350px;padding:0;margin:0;}
.cart-item  .cart-item__cost,  .cart-item__subtotal, .cart-item__cost-sum, .cart-box__header .cart-item__cost {width:113px;}
.cart-item__count-title, .cart-item__count-container {width:120px;}
.cart-item, .cart-box__header { justify-content:unset;}
.cart-item .btn-plus {  padding-right: 10px;  padding-top: 0;}
    
.cart-item__count-title {margin:0;}
.cart-item .cart-item__cost {margin:0;}
.cart-item__thumb, .cart-item__empty{        width: 125px;  width: 14%;}
.cart-item {  align-items: center;padding-bottom: 10px;  border-bottom: 1px solid #ddd;}
.cart-item__subtitle {  font-size: 12px;  color: #878787;}
/* Итоговая стоимость */
.well {
    margin-top: 20px;
    padding: 20px;
    background: #f3f3f3;
    border-radius: 8px;
    border: 1px solid #ddd;
}

/* Раздел "Итого" */
.cart-total {
    display: flex;
    justify-content: space-between;
    font-size: 18px;
    font-weight: bold;
    padding-bottom: 10px;
    border-bottom: 2px solid #ccc;
}

/* Политика конфиденциальности */
.text_pol {
    font-size: 14px;
    text-align: center;
    margin-top: 15px;
    color: #777;
}

.text_pol a {
    color: #a59581;
    text-decoration: none;
}

.text_pol a:hover {
    text-decoration: underline;
}

.step-1-error {
    color: red;
    font-size: 14px;
    text-align: center;
    margin: 1rem 0;
    display: none; 
}

.product_id.hidden {display:none;}
.cart-item__cost, .cart-item__title, .cart-item__count-title, .cart-item__cost-sum, .cart-item__subtotal  {color:#000;  text-align: left;}

.cart-item__wrapper {display: inline-flex;}
.cart-item__thumb img {  width: 100%;  margin-right: 1rem;}
.order-summary-button.disabled {
    opacity: 0.5;
    pointer-events: none;
    background: #ccc;
    border: 1px solid #aaa;
    color: #666;
}

.cart__checkout {
    display: block;
    width: 100%;
    padding: 12px;
    background: #a59581;
    color: white;
    font-size: 16px;
    font-weight: bold;
    border: none;
    cursor: pointer;
    margin-top: 35px;
    border-radius: 5px;
    transition: background 0.3s;
}

.cart__checkout:hover {
    background: #917b66;
}

.cart-box__list {
  width: calc(100% - 300px);
}

.cart-box__header {
    display: flex;
    font-weight: bold;
    padding: 10px 0;
    border-bottom: 2px solid #ccc;
    font-size: 16px;  color: #a59581;
}
.cart-item__count-title, .cart-item .cart-item__cost, .cart-item__title{font-size:16px;}
.cart-item__subtotal {line-height:1.2;}
.step-1-container {gap:10px;  position: relative;}
/* Основной контейнер */
.order-summary {  height: fit-content;
    width: 100%;
    max-width: 300px;
    background: #f9f9f9;
    border-radius: 10px;
    padding: 20px;
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
      position: sticky;
  top: 50px;
}

/* Заголовок */
.order-summary-title {
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 15px;
}

/* Блок строк (Подытог, Итог) */
.order-summary-row {
    display: flex;
    justify-content: space-between;
    font-size: 16px;
    padding: 5px 0;
    border-bottom: 1px solid #e0e0e0;
}

/* Итоговый блок (жирный текст) */
.order-summary-total {
    font-weight: bold;
    font-size: 18px;
    margin-top: 10px;
    padding-top: 10px;
}

/* Цена */
.order-summary-value {
    font-weight: normal;
}

/* Итоговая цена */
.order-summary-total-price {
    font-size: 20px;
    font-weight: bold;
}

/* Кнопка оформления заказа */
.order-summary-button {
    width: 100%;
    padding: 12px;
    background: transparent;
    color: black;
    font-size: 16px;
    font-weight: bold;
    border: 1px solid #b89f7b;
    cursor: pointer;
    margin-top: 15px;
    border-radius: 5px;
    transition: background 0.3s, color 0.3s;
}

.order-summary-button:hover {
    background: #b89f7b;
    color: white;
}

/* Ссылка "Продолжить покупки" */
.order-summary-link {    display: block;    margin: 1.5rem 0;    font-size: 14px;    color: #aaa;    text-decoration: none;  text-align: center;}

.order-summary-link:hover {
    color: black;
}
.cart__title-big {
  font-size: 36px;
  font-weight:600;
  margin-top: 1rem;
  margin-bottom: 0rem;
}
.success-order-message {background: #f9f9f9;
    border-radius: 10px;
    padding: 20px;
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
margin-top: 20px;}
.cart-item a.call-back { color:#a59581;}
.cart-item a.call-back img { margin-right: 5px;}
.select2:after {
  content: '\25BE';
  position: absolute;
  padding: 8px;
  border-radius: 0px 8px 8px 0;
  background: linear-gradient(135deg, #a59581, #8c7a66);
  color: #fff;
  transition: 0.3s ease-in-out;
  pointer-events: none;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
@media screen and (max-width: 1179px) {
    .cart-item .cart-item__info, .cart-box__header .cart-item__title { width: 52%;padding-right:5px; }
}
@media screen and (max-width: 1100px) {
        .cart-item__subtotal {display:none;}
    .cart-item__cost-sum {display:none;}
    .step-2-products-body .cart-item .cart-item__info {width:100%;}
}
@media screen and (max-width: 1024px) {
    .cart-item__title { width:100%;}
    .item__subtotal, .cart-item__cost-sum, .cart-box__header .cart-item__cost {  width: 52px;}
    .cart-box__header .cart-item__cost {  width: 52px;}
     .catalog-filter__size-list_new  {      width: 100%;}
    .cart-item .cart-item__cost, .cart-item__subtotal, .cart-item__cost-sum, .cart-box__header .cart-item__cost {  width: 100px;}
    .cart-item__count-title, .cart-item__count-container {  width: 70px;}
    .cart-item__count-title, .cart-item .cart-item__cost {  font-size: 14px;}
     .order-summary {max-width:260px;}
     .cart-box__list {  width: calc(100% - 260px);}
}
@media screen and (max-width: 825px) {
   .cart__title-big {  font-size: 24px;}
   .cart-box__list { width:100%;  }
    .step-1-container {   flex-direction: column;}
    .price-cost-container {margin: 0 auto;        width: 100%;    display: flex;        justify-content: center;}
    .cart-item a.call-back img {  width: 30px; }
   .cart-box__header { display:none;  }
   .cart-item { width:100%; * flex-direction: column;  flex-wrap: wrap;}
   .cart-item__thumb img {      height: 100%;}
   .cart-item .cart-item__cost{ *display:none;}
   .cart-item__thumb  {margin:0;width:20%!important;min-height:unset;}
   .cart-item__thumb img {margin-right:0;object-fit: cover;  object-position: top;  }
   .step-text {  font-size: 11px;}
   .catalog-filter__size-list_new  {      width: 100%;}
   .step-number { width: 22px; height: 22px; }
   #msOrder > .flex {  flex-direction: column;}
   .cart-step .right, .cart-step .left {  width: 100%;}
   .cart-item .cart-item__info {  padding-left: 8px;}
   .cart-item .cart-item__info, .cart-item__title {      width: 80%;}
   .step-2-products-body .cart-item .cart-item__cost {display:flex;}
   .order-summary {max-width:unset;}
   #razmery {font-size:8px;}
   .step-2-products-container {padding:5px;}

} 
